<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PropertyDef.html">PropertyDef</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::PropertyDef Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a36af51365e6f5ef64b2875ffbe96a004">getDescription</a>() const </td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#aa9fbb3c56557f180a179dfe915388a5c">getName</a>() const </td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a42127e0d5069c7b25c67eb53326536e0">getType</a>() const </td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#af1f43d6fa9c867fbbac7c847c2331a4a">getTypeForValue</a>(const short &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a11706d14ed57ce015ad363550c8b4a35">getTypeForValue</a>(const unsigned short &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#ac8d97b00ddd7991fd1c6d844fcea22b7">getTypeForValue</a>(const int &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a2b47385bebe000ae74e7281b65f177db">getTypeForValue</a>(const unsigned int &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#aee5018eebdb2bac0a74b16b983547fdb">getTypeForValue</a>(const long &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#ad7e4b21a152c6f6657ce02a210b30b58">getTypeForValue</a>(const unsigned long &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#ab66019ead72453626dde1c5529392e79">getTypeForValue</a>(const Real &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a4085561ce2c745b94f24163f05f77a85">getTypeForValue</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a9a6f217f142938d7035f4b0507430fa2">getTypeForValue</a>(const Vector2 &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a94debb259e471f515823736dec0ff488">getTypeForValue</a>(const Vector3 &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a07dab739e1465c57f8f287aa3d8a18ae">getTypeForValue</a>(const Vector4 &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a26efb3b5354c5fa5bcf630cc97847fdf">getTypeForValue</a>(const ColourValue &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a2e28520f52bd076d73becb579949c821">getTypeForValue</a>(const bool &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a12b0236db01a784799530942a8f50d82">getTypeForValue</a>(const Quaternion &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a883ccd53919be65e73d2524fd5ea598c">getTypeForValue</a>(const Matrix3 &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#aa3f812514090432149116f4dc278e70c">getTypeForValue</a>(const Matrix4 &amp;val)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a2b117f9bd3d234cf2df0facd2b698bb5">getTypeName</a>(PropertyType theType)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a32aeb4f20db1bd6317d2d02b356ae819">mDesc</a></td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a575daff2df886d3d4e4c6c7ce0b34654">mName</a></td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a8b61c74092cf7b920777716459c5953c">mType</a></td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a41cc7c20c02222c76f11d43489695551">PropertyDef</a>(const String &amp;name, const String &amp;desc, PropertyType pType)</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertyDef.html#a3cc6b402707f944ae9bb426f8161b340">PropertyDef</a>()</td><td><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
